## This library is free software; you can redistribute it and/or
## modify it under the terms of the GNU  General Public
## License as published by the Free Software Foundation; either
## version 2.0 of the License, or any later version.

## This library is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
##  General Public License for more details.

## You should have received a copy of the GNU  General Public
## License along with this library; if not, write to the Free Software
## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

from Products.validation.interfaces import ivalidator
from DateTime import DateTime

class DateBoxValidator:
    """Validator to validate the Date """
    
    __implements__ = (ivalidator,)

    def __init__(self,name):
        self.name = name

    def __call__(self,value,*args,**kwargs):
        field = kwargs.get('field')
        v = str(value).replace('-','/')
        try:
            DateTime(v)
            return 1
        except:
            return ("Enter date in '21 Apr 2005'  or '2005-4-21' Format")

        
        

    
