from Products.CMFCore import CMFCorePermissions
from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore.CMFCorePermissions import AddPortalContent
from Products.CMFCore.utils import getToolByName, ContentInit
from Products.CMFCore.DirectoryView import registerDirectory
from Products.Archetypes.public import *
from Products.Archetypes import listTypes
from Products.validation import validation


from config import *
from config import INSTALL_DEMO_TYPES

def initialize(context):
    # register directory views
    registerDirectory('skins', GLOBALS)

    if INSTALL_DEMO_TYPES:
        import examples

        # content initialization
        content_types, constructors, ftis = process_types(listTypes(PKG_NAME), PKG_NAME,)

        ContentInit(
            '%s Content' % PKG_NAME,
            content_types = content_types,
            permission = AddPortalContent,
            extra_constructors = constructors,
            fti = ftis,
            ).initialize(context)
        
    #Registering Help
    help = context.getProductHelp()
    lastRegistered = help.lastRegistered
    context.registerHelp(directory='help', clear=1)
    if help.lastRegistered != lastRegistered:
        help.lastRegistered = None
        context.registerHelp(directory='help', clear=1)
        help.lastRegistered = None
    context.registerHelpTitle('DateBox Help')

