""" demonstrates the use of DateBox """

from Products.Archetypes.public import *
from AccessControl import ClassSecurityInfo

from Products.DateBox.DateBoxField import DateBoxField
from Products.DateBox.DateBoxWidget import DateBoxWidget

schema = BaseSchema + Schema((
    DateBoxField('DemoField',
                 required = True,
                 widget = DateBoxWidget(label = 'Test DateBox',
                                        description = 'Test DateBox Field',
                                        i18n_domain = 'plone')
                 ),
    ))

class DateBoxDemoType(BaseContent):
    ''' Demo archytype for DateBox'''
    security = ClassSecurityInfo()
    schema = schema
    meta_type = portal_type = archetype_name = 'DateBoxDemoType'

registerType(DateBoxDemoType)
    
